{% macro form(name='', body='', description='', gcol=None) -%}
<fieldset>
    <legend>title</legend>
    <input
        type="text"
        class="large"
        name="name"
        value="{{ name }}"
        required />

</fieldset>
<fieldset>
    <legend>SQL</legend>
    <textarea
              class="half-size"
              name="body"
              rows="24"
              cols="18">{{ body }}</textarea>

</fieldset>
<fieldset>
    <legend>description</legend>
    <textarea
              class="half-size"
              name="description"
              rows="24"
              cols="18">{{ description }}</textarea>

</fieldset>
<fieldset>
    <legend>geometry column name</legend>
    {% if gcol%}
    <input type="text"
           name="geo_column"
           value="{{ gcol }}" />
    {% else %}
    <input type="text"
           name="geo_column"/>
    {% endif %}
</fieldset>
{%- endmacro %}

{% if resource %}
{{ form(resource.name, resource.body, resource.description, resource.geo_column) }}
{% endif %}
